#
# spec file for package ldso (Version 1.9.9)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         ldso
Release:      6
Copyright:    1995 David Engel, Rickard E. Faith,Yggdrasil Computing Inc.
Group: 
Provides:     ld.so 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      1.9.9
Summary:      ld.so, the dynamic linker/loader.
Source: ld.so-1.9.9.tar.gz
Patch: ld.so-1.9.9.dif
%description
ld.so completes the final process of linking all necessary references
to sharable objects and unreferenced symbols in an impure executable,
(usually a dynamically linked executable), to produce a runnable file.
Nearly all Linux binaries are "incomplete" in the sense
that they require further linking at run time. ld.so's job is to thus
complete the linking process started at compile time.

%prep
%setup -n ld.so-1.9.9
%patch
%build
make -f Makefile.Linux compile
%install
make -f Makefile.Linux install
Check
%post
chroot `pwd` sbin/ldconfig 2> /dev/null > /dev/null
%files
# /etc/ld.so.conf
/lib/ld-linux.so.1
/lib/ld-linux.so.1.9.9
/lib/ld.so
/lib/ld.so.1.9.9
/lib/libdl.so.1
/lib/libdl.so.1.9.9
/sbin/ldconfig
/usr/bin/ldd
/usr/include/dlfcn.h
/usr/lib/lddstub
/usr/lib/libdl.so
%doc /usr/man/man1/ldd.1.gz
%doc /usr/man/man3/dlclose.3.gz
%doc /usr/man/man3/dlerror.3.gz
%doc /usr/man/man3/dlopen.3.gz
%doc /usr/man/man3/dlsym.3.gz
%doc /usr/man/man8/ld.so.8.gz
%doc /usr/man/man8/ldconfig.8.gz

